.parallax__item {
  position: relative;
  width: 100% !important;
  height: 100dvh !important;
  min-height: 780px;
  max-height: 2200px;
  overflow: hidden;
}

.main-visual {
  z-index: 1;
}
.main-visual .title-wrap {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  height: 100dvh;
  padding: 20rem 10rem 10rem 10rem;
}
.main-visual .title-wrap .title-area {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.main-visual .title-wrap .title-area .title {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: fit-content;
}
.main-visual .title-wrap .title-area .title h2 {
  font-size: 5.2rem;
  line-height: 1.2;
  margin-bottom: 3rem;
}
.main-visual .title-wrap .title-area .title h2 .m_br {
  display: none;
}
.main-visual .title-wrap .title p {
  font-size: 16px;
  line-height: 1.6;
  padding: 0 1rem;
  width: 100%;
}
.main-visual .title-wrap .logo-area {
  position: relative;
  width: 77.7rem;
  height: 24rem;
}
.main-visual .title-wrap .logo-area img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.main-visual .title-wrap .logo-area span {
  position: absolute;
  left: 0;
  top: 0;
  font-size: 2rem;
}
.main-visual .title-wrap .m-logo-area {
  display: none;
}

.main-exclusive {
  position: relative;
  z-index: 2;
}
.main-exclusive::before {
  z-index: 2;
}
.main-exclusive .white-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: white;
  z-index: 1;
}
.main-exclusive .inner-wrap {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.main-exclusive .wrapper120 {
  display: flex;
  align-items: center;
  gap: 50px;
  justify-content: space-between;
}
.main-exclusive .wrapper120 .title-wrap {
  position: relative;
  z-index: 4;
  width: 70%;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.main-exclusive .wrapper120 .title-wrap .sub-info-title {
  margin-bottom: 16px;
}
.main-exclusive .wrapper120 .title-wrap .sub-info-title span {
  background-color: var(--subblue);
}

.main-exclusive .wrapper120 .title-wrap .mask-title {
  position: relative;
  width: 100%;
  height: 243px;
}
.main-exclusive .wrapper120 .title-wrap .title-text {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  max-width: 968px;
  aspect-ratio: 968 / 243;
}
.main-exclusive .wrapper120 .title-wrap .title-text svg {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.main-exclusive .wrapper120 .title-wrap .title-text svg.m-svg {
  display: none;
}
.main-exclusive .wrapper120 .title-wrap .title-text svg mask,
.main-exclusive .wrapper120 .title-wrap .title-text svg path {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.main-exclusive .wrapper120 .title-wrap .title-text video {
  position: absolute;
  top: 0;
  left: 0;
  width: 150%;
  height: 150%;
  object-fit: cover;
  -webkit-mask: url(#text-mask) no-repeat center / contain;
  mask: url(#text-mask) no-repeat center / contain;
}
.main-exclusive .wrapper120 .title-wrap .desc-text span {
  display: block;
  font-size: 4.2rem;
  line-height: 1.3;
  color: var(--mainblue);
  margin-bottom: 4.2rem;
  position: relative;
  z-index: 10;
}
.main-exclusive .wrapper120 .title-wrap .desc-text p {
  font-size: 16px;
  line-height: 1.6;
  color: var(--mainblue);
  position: relative;
  z-index: 10;
}
.main-exclusive .wrapper120 .photo-stack-wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 4;
  width: 32%;
  aspect-ratio: 55 / 74.8;
  /* flex-shrink: 0; */
}
.main-exclusive .wrapper120 .photo-stack-wrap .photo-area {
  position: absolute;
  width: 100%;
  aspect-ratio: 550 / 748;
  min-width: 236px;
}
.main-exclusive .wrapper120 .photo-stack-wrap .photo-area img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.main-strength {
  position: relative;
  background-color: var(--mainblack);
  z-index: 3;
}

.main-strength,
.main-strength .strength01 .img-area,
.main-strength .strength01 .video-box,
.main-strength .strength02 {
  /* 모바일 환경에서 애니메이션 성능 및 안정성 향상 */
  transform: translateZ(0);
  -webkit-transform: translateZ(0);
  will-change: transform, opacity; /* 요소가 변할 것을 브라우저에 미리 알려줌 */
}

.main-strength .strength01 {
  width: 100%;
  height: 100%;
  padding: 13.4rem 0;
  overflow: hidden;
}
.main-strength .strength01 .title-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.main-strength .strength01 .title-wrap .sub-info-title {
  margin-bottom: 3.2rem;
}
.main-strength .strength01 .title-wrap .sub-info-title .box-icon {
  background-color: #646265;
}
.main-strength .strength02 .title-wrap .sub-info-title {
  margin-bottom: 3.9rem;
}
.main-strength .strength02 .title-wrap .sub-info-title .box-icon {
  background-color: #747375;
}
.main-strength .strength01 .title-wrap .desc-text p,
.main-strength .strength02 .title-wrap .desc-text p {
  text-align: center !important;
  font-size: 4.2rem;
}
.main-strength .strength02 .title-wrap .desc-text p br.m_br {
  display: none;
}
.main-strength .strength01 .title-wrap .desc-text p span,
.main-strength .strength02 .title-wrap .desc-text p span {
  display: inline-block;
  font-size: 4.2rem;
  line-height: 1.3;
  color: #070707;
}
.main-strength .strength01 .img-wrap {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translate(-50%, 0);
  width: 100%;
  height: 100%;
  padding: 0 120px;
}
.main-strength .strength01 .img-wrap ul {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  width: 100%;
  height: calc(100% - 130px);
}
.main-strength .strength01 .img-wrap ul li {
  position: relative;
  width: calc(20% - 10rem);
  height: 100%;
}
.main-strength .strength01 .img-wrap ul li.video-area {
  width: 40.2rem;
}
.main-strength .strength01 .img-wrap ul li .img-box {
  position: absolute;
  overflow: hidden;
}
.main-strength .strength01 .img-wrap ul li .img-box.img-box01 {
  left: 0;
  top: 20%;
  width: 23.6rem;
  height: 15.1rem;
}
.main-strength .strength01 .img-wrap ul li .img-box.img-box02 {
  width: 26.9rem;
  height: 17rem;
  left: -40%;
  top: 50%;
}
.main-strength .strength01 .img-wrap ul li .img-box.img-box03 {
  width: 16rem;
  height: 19.4rem;
  right: 0;
  bottom: 3%;
}
.main-strength .strength01 .img-wrap ul li .img-box.img-box04 {
  width: 29.4rem;
  height: 19.8rem;
  top: 20%;
  left: -20%;
}
.main-strength .strength01 .img-wrap ul li .img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.main-strength .strength01 .video-box {
  position: absolute;
  left: calc(50% - 20.1rem);
  /* transform: translate(-50%); */
  z-index: 1;
  bottom: 0;
  width: 40.2rem;
  aspect-ratio: 402 / 538;
  /* height: 53.85rem; */
  opacity: 0;
}
.main-strength .strength01 .video-box video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.main-strength .strength02 {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
}
.main-strength .strength02 .title-wrap {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.main-strength .solutins-wrap {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 10;
}
.main-strength .solutins-wrap::before {
  z-index: 22;
}
.main-strength .solutins-wrap .mask-container {
  position: sticky;
  width: 100%;
  top: 0;
  z-index: 20;
  height: 100dvh;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
.main-strength .solutins-wrap .mask-container .gasp-wrap {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  mask-image: linear-gradient(to top, #fff, #fff);
}
.main-strength .solutins-wrap .mask-container .gasp-wrap::before {
  z-index: 10;
}
.main-strength .solutins-wrap .mask-container .gasp-wrap .text_clip_path {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  image-rendering: optimizeSpeed;
  image-rendering: optimizeQuality;
  shape-rendering: geometricPrecision;
  text-rendering: geometricPrecision;
  width: 1132px;
  /* height: 192px; */
  aspect-ratio: 1132 / 192;
}
.main-strength .solutins-wrap .mask-container .gasp-wrap .text_clip_path svg {
  width: 100%;
  height: 100%;
  object-fit: contain;
  transform-origin: center center;
}

.main-strength
  .solutins-wrap
  .mask-container
  .gasp-wrap
  .quadrant-container
  div {
  position: absolute;
  background-color: #fff;
}
.main-strength
  .solutins-wrap
  .mask-container
  .gasp-wrap
  .quadrant-container
  .top {
  top: 0;
  left: 0;
  width: 100%;
  height: calc(((100% - 192px) / 2) + 10px);
}
.main-strength
  .solutins-wrap
  .mask-container
  .gasp-wrap
  .quadrant-container
  .left {
  top: 0;
  left: 0;
  width: calc(((100% - 1132px) / 2) + 10px);
  height: 100%;
}
.main-strength
  .solutins-wrap
  .mask-container
  .gasp-wrap
  .quadrant-container
  .right {
  top: 0;
  right: 0;
  width: calc(((100% - 1132px) / 2) + 10px);
  height: 100%;
}
.main-strength
  .solutins-wrap
  .mask-container
  .gasp-wrap
  .quadrant-container
  .bottom {
  bottom: 0;
  left: 0;
  width: 100%;
  height: calc(((100% - 192px) / 2) + 10px);
}

.main-strength .solutins-wrap .top-text-wrap {
  position: absolute;
  top: 105px;
  left: 50%;
  transform: translate(-50%, 0);
  width: 100%;
  padding: 0 30px;
  z-index: 30;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.main-strength .solutins-wrap .sub-info-title {
  position: absolute;
  top: calc(50% - 192px);
  transform: translate(0, -50%);
  z-index: 30;
}
.main-strength .solutins-wrap .sub-info-title .box-icon {
  background-color: var(--mainblue);
}
.main-strength .solutins-wrap .top-text-wrap span,
.main-strength .solutins-wrap .top-text-wrap p {
  font-size: 12px;
  color: var(--mainblue);
}
.main-strength .solutins-wrap .top-text-wrap span br {
  display: none;
}
.main-strength .solutins-wrap .top-text-wrap p {
  text-align: right;
}
.main-strength .solutins-wrap .title-wrap {
  position: absolute;
  left: 50%;
  top: calc(50% + 192px);
  transform: translate(-50%, -50%);
  width: 100%;
  display: flex;
  z-index: 30;
  flex-direction: column;
  align-items: center;
  gap: 24px;
  color: var(--mainblue);
}
.main-strength .solutins-wrap .title-wrap h2 {
  font-size: 4.2rem;
  text-align: center;
}
.main-strength .solutins-wrap .title-wrap h2 br {
  display: none;
}
.main-strength .solutins-wrap .title-wrap p {
  font-size: 16px;
  color: var(--mainblue);
}

.solutions-intro-section {
  position: relative;
  width: 100% !important;
  height: 100dvh !important;
  min-height: 1080px;
  max-height: 2200px;
  background-color: #fff;
  overflow: hidden;
}
.solutions-intro-section::before {
  z-index: 2;
}
.solutions-intro-section .wrapper60 {
  height: 100%;
}
.solutions-intro-section .wrapper60 .rolling-wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 30px;
  height: 100%;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line.rolling-line01
  .rolling-track {
  animation: roll-left 60s linear infinite forwards;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line.rolling-line02
  .rolling-track {
  animation: roll-right 95s linear infinite forwards;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line03
  .rolling-track {
  animation: roll-left 70s linear infinite forwards;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line.rolling-line02
  .rolling-track
  .rolling-content {
  gap: 40px;
  padding: 0 20px;
}
.solutions-intro-section
  .wrapper60
  .rolling-line.rolling-line02
  .rolling-track
  .rolling-content
  span {
  position: relative;
}
.solutions-intro-section
  .wrapper60
  .rolling-line.rolling-line02
  .rolling-track
  .rolling-content
  span::after {
  position: absolute;
  left: 0;
  bottom: 20px;
  width: 100%;
  height: 3.5px;
  background-color: #100c12;
  content: "";
}
.solutions-intro-section .wrapper60 .rolling-wrap .rolling-line .rolling-track {
  display: flex;
  width: fit-content;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content {
  display: flex;
  align-items: center;
  gap: 28px;
  width: fit-content;
  padding: 0 50px;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content
  span {
  display: inline-block;
  font-size: 12rem;
  font-family: inherit;
  font-weight: 200;
  white-space: nowrap;
  color: #100c12;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content
  .video-wrap,
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content
  .img-wrap {
  width: 260px;
  height: 140px;
}
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content
  .video-wrap
  video,
.solutions-intro-section
  .wrapper60
  .rolling-wrap
  .rolling-line
  .rolling-track
  .rolling-content
  .img-wrap
  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@keyframes roll-left {
  from {
    transform: translateX(0);
  }
  to {
    /* Translate by -50% to perfectly loop one full set of duplicated content */
    transform: translateX(-50%);
  }
}

@keyframes roll-right {
  from {
    transform: translateX(-50%); /* Start from the duplicated content */
  }
  to {
    transform: translateX(0); /* End at the original content */
  }
}
.dummy-section {
  z-index: -10;
  height: 100dvh;
}
#cube-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 100%;
  height: 100dvh !important;
  /* width: 600px; 
    height: 450px;  */
  /* Remove perspective property - it's for CSS 3D, not Three.js */

  overflow: hidden;
  z-index: 30;
  opacity: 1;
  pointer-events: auto;
}

/* The video elements are used for their pixel data by Three.js,
   they do NOT form the cube themselves. You can hide them. */
.cube-face-content {
  display: none;
}
.cube-face-content video,
.cube-face-content img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/* You generally don't need to style the canvas directly,
   as Three.js manages its size within #cube-wrapper. */
/* If you need to, target the canvas itself which is appended to #cube-wrapper */
#cube-wrapper canvas {
  display: block;
  width: 100% !important;
  height: 100% !important; /* Remove any potential extra space below the canvas */
}

#blocker {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent; /* Or a semi-transparent color */
  z-index: 999; /* Ensure it's on top */
  /* display is controlled by JS: init sets to 'block', animation end sets to 'none' */
}

.portfolio-section {
  position: relative;
  width: 100% !important;
  height: 100dvh !important;
  min-height: 780px;
  color: #fff;
  /* background-color: #100C12; */
  background-image: linear-gradient(
    to right,
    rgba(16, 12, 18, 1),
    rgba(15, 29, 65, 1)
  );
  overflow: hidden;
}

/* .portfolio-section::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -10; 
    pointer-events: none;

} */
.portfolio-section .scroll-container {
  position: sticky;
  left: 0;
  top: 0;
  display: flex;
  width: fit-content;
  height: 100%;
  transform: translateX(0);
  will-change: transform;
}
.portfolio-section .scroll-container .bg-area {
  display: flex;
  width: fit-content;
  height: 100%;
  z-index: -20;
  background-image: linear-gradient(
    to right,
    rgba(16, 12, 18, 1) 100vw,
    rgba(15, 29, 65, 1)
  );
}

.portfolio-section .scroll-container .main-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  width: 100vw;
  height: 100%;
  z-index: 10;
  padding: 105px 82px 160px 120px;
  flex-shrink: 0;
  /* background-color: #100C12; */
}
.portfolio-section .scroll-container .main-wrap .sub-top-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: 100%;
}
.portfolio-section .scroll-container .main-wrap .sub-text-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 20px;
  width: fit-content !important;
  overflow: hidden;
}
.portfolio-section
  .scroll-container
  .main-wrap
  .sub-text-wrap
  .scrooll-indicator {
  display: flex;
  align-items: center;
}
.portfolio-section
  .scroll-container
  .main-wrap
  .sub-text-wrap
  .scrooll-indicator
  span {
  font-size: 16px;
}
.portfolio-section
  .scroll-container
  .main-wrap
  .sub-text-wrap
  .scrooll-indicator
  .icon {
  width: 32px;
  height: 32px;
}
.portfolio-section
  .scroll-container
  .main-wrap
  .sub-text-wrap
  .scrooll-indicator
  .icon
  img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.portfolio-section .scroll-container .main-wrap .sub-text-wrap p {
  font-size: 16px;
  color: #fff;
  padding: 0 10px;
  text-align: end;
}
.portfolio-section .scroll-container .main-wrap .title-wrap {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.portfolio-section .scroll-container .main-wrap .title-wrap h2 {
  display: inline-block;
  font-size: 16rem;
  line-height: 1;
}
.portfolio-section
  .scroll-container
  .main-wrap
  .title-wrap
  .sub-info-title
  .box-icon {
  background-color: #646265;
}
.portfolio-section .scroll-container .portfolio-list-container {
  position: relative;
  display: flex;
  align-items: center;
  gap: 120px;
  z-index: 10;
  flex-shrink: 0;
  /* background-image: linear-gradient(to right, rgba(16, 12, 18, 1) , rgba(15, 29, 65, 1)); */
  /* background-image: linear-gradient(to right, rgba(16, 12, 18, 1), rgba(15, 29, 65, 1)); */
  padding: 105px 330px 0 100px;
}
/* .portfolio-section .scroll-container .portfolio-list-container::after {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: -20;
    background-image: linear-gradient(to right, rgba(16, 12, 18, 1), rgba(15, 29, 65, 1));
    content: "";
    background-attachment: fixed; 
} */
.portfolio-section .scroll-container .portfolio-list-container > ul {
  display: flex;
  align-items: center;
  gap: 120px;
  position: relative;
  z-index: 10;
  width: 100%;
}
.portfolio-section .scroll-container .portfolio-list-container > ul > li {
  flex-shrink: 0;
}
.portfolio-section .scroll-container .portfolio-list-container > ul > li a {
  display: flex;
  flex-direction: column;
  gap: 14px;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap {
  position: relative;
  width: 600px;
  /* width: 698px; */
  /* height: 524px; */
  aspect-ratio: 698 / 524px;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap
  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap
  .info-wrap {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 10;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 32px;
  opacity: 0;
  transition: 0.5s;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap::after {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 5;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  content: "";
  opacity: 0;
  transition: 0.5s;
}

.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap
  .info-wrap
  ul
  li {
  font-size: 16px;
  font-weight: 300;
  line-height: 2;
  color: #fff;
  text-align: center;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .thumb-wrap
  .info-wrap
  p {
  font-size: 16px;
  line-height: 1.6;
  text-align: center;
  color: #fff;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .title-wrap {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .title-wrap
  h3 {
  font-size: 20px;
  line-height: 1.4;
  color: #fff;
}
.portfolio-section
  .scroll-container
  .portfolio-list-container
  > ul
  > li
  a
  .title-wrap
  span {
  font-size: 14px;
  line-height: 1.4;
  color: #fff;
}
.portfolio-section .scroll-container .portfolio-list-container .portfolio-btn {
  font-size: 3rem;
  color: #fff;
  white-space: nowrap;
  text-decoration: underline;
  text-underline-offset: 10px;
}

.main-clients {
  position: relative;
  width: 100%;
  /* height: 100dvh; */
  padding: 140px 0 208px;
}
.main-clients .bg-img {
  position: absolute;
  left: 0;
  top: 0;
  z-index: -50;
  width: 100%;
  height: 100%;
}
.main-clients .bg-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.main-clients .wrapper120 .sub-info-title {
  margin-bottom: 32px;
  padding: 0 14px;
}
.main-clients .wrapper120 .sub-info-title .box-icon {
  background-color: var(--mainblue);
}
.main-clients .wrapper120 .inner-wrap {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 60px;
}
.main-clients .wrapper120 .inner-wrap .title-wrap {
  display: flex;
  flex-direction: column;
  /* width: 872px; */
  width: calc(54% + 30px);
}
.main-clients .wrapper120 .inner-wrap .title-wrap h2 {
  font-size: 16rem;
  line-height: 1;
  letter-spacing: -0.5rem;
  margin-bottom: 52px;
}
.main-clients .wrapper120 .inner-wrap .title-wrap .info-text {
  font-size: 42px;
  line-height: 1.3;
  margin-bottom: 22px;
  padding: 0 20px;
}
.main-clients .wrapper120 .inner-wrap .title-wrap .sub-text {
  font-size: 16px;
  line-height: 1.3;
  padding: 0 20px;
}
.main-clients .wrapper120 .inner-wrap .title-wrap .sub-text br {
  display: none;
}
.main-clients .wrapper120 .clients-list {
  width: calc(46% + 30px);
  /* width: calc(100% - 922px); */
}
.main-clients .wrapper120 .clients-list ul {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  column-gap: 14px;
  row-gap: 16px;
}
.main-clients .wrapper120 .clients-list ul li {
  width: calc(33.33% - 9.33px);
  aspect-ratio: 2 / 1;
  background-color: rgba(255, 255, 255, 0.2);
  border: 1px solid rgba(255, 255, 255, 0.4);
  backdrop-filter: blur(27px);
  -webkit-backdrop-filter: blur(27px);
}
.main-clients .wrapper120 .clients-list ul li .clients-logo {
  width: 100%;
  height: 100%;
}
.main-clients .wrapper120 .clients-list ul li .clients-logo img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

@media screen and (min-width: 768px) {
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a
    .thumb-wrap
    .info-wrap,
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a
    .thumb-wrap::after {
    opacity: 0;
  }
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a:hover
    .thumb-wrap
    .info-wrap {
    opacity: 1;
  }
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a:hover
    .thumb-wrap::after {
    opacity: 1;
  }
}
@media screen and (max-width: 1600px) {
  .main-exclusive .wrapper120 .title-wrap .mask-title {
    width: 100%;
    height: 175px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text {
    /* width: 90%; */
    transform: scale(0.7) !important;
    transform-origin: left top;
    margin-bottom: 0;
  }
}

@media screen and (max-width: 1280px) {
  .main-visual .title-wrap {
    min-height: 750px;
    padding: 17rem 10rem 7rem 10rem;
  }
  .main-visual .title-wrap .logo-area {
    width: 66rem;
    height: 18.5rem;
  }

  .main-exclusive {
    min-height: 100dvh;
    height: fit-content;
    max-height: fit-content;
  }
  .main-exclusive .inner-wrap {
    align-items: flex-start;
  }
  .main-exclusive .wrapper120 {
    flex-direction: column;
    padding: 80px 30px 20px 30px;
  }
  .main-exclusive .wrapper120 .title-wrap {
    width: 100%;
  }
  .main-exclusive .wrapper120 .title-wrap .mask-title {
    height: 150px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text {
    width: 100%;
    max-width: 100%;
    /* transform-origin: left bottom; */
  }

  .main-exclusive .wrapper120 .title-wrap .title-text span {
    font-size: 10rem;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text p {
    font-size: 14rem;
    line-height: 1;
  }
  .main-exclusive .wrapper120 .title-wrap .desc-text span {
    font-size: 26px;
    margin-bottom: 14px;
  }

  .main-exclusive .wrapper120 .photo-stack-wrap {
    position: relative;
    right: auto;
    width: auto;
    height: 42vh;
  }

  .solutions-intro-section {
    min-height: auto;
  }
  .main-strength .solutins-wrap .mask-container .gasp-wrap .text_clip_path {
    width: 700px;
  }
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .top {
    height: calc(((100% - 118px) / 2) + 2px);
  }
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .left {
    width: calc(((100% - 700px) / 2) + 1px);
  }
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .right {
    width: calc(((100% - 700px) / 2) + 1px);
  }
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .bottom {
    height: calc(((100% - 118px) / 2) + 2px);
  }
  .portfolio-section {
    height: auto !important;
    min-height: auto;
    padding: 60px 0 76px 0;
  }
  .portfolio-section .scroll-container {
    position: relative;
    display: block;
    width: 100%;
    height: fit-content;
    transform: none !important;
    overflow: hidden;
  }
  .portfolio-section .scroll-container .main-wrap {
    flex-direction: column-reverse;
    gap: 24px;
    padding: 0 16px;
    margin-bottom: 34px;
    width: 100%;
  }
  .portfolio-section .scroll-container .main-wrap .sub-top-wrap {
    align-items: flex-start;
  }
  .portfolio-section .scroll-container .main-wrap .sub-text-wrap p {
    padding: 0;
    text-align: start;
  }
  .portfolio-section .scroll-container .main-wrap p .spacing {
    display: none;
  }
  .portfolio-section
    .scroll-container
    .main-wrap
    .sub-text-wrap
    .scrooll-indicator {
    display: none;
  }
  .portfolio-section .scroll-container .portfolio-list-container {
    flex-direction: column;
    background-image: none;
    padding: 0 25.5px;
    gap: 34px;
    width: 100%;
  }
  .portfolio-section .scroll-container .portfolio-list-container > ul {
    flex-direction: column;
    gap: 30px;
    width: 100%;
  }
  .portfolio-section .scroll-container .portfolio-list-container > ul > li {
    width: 100%;
    max-width: 500px;
  }
  .portfolio-section .scroll-container .portfolio-list-container > ul > li a {
    width: 100%;
  }

  .main-clients .wrapper120 .inner-wrap {
    flex-direction: column;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap {
    width: 100%;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap .info-text {
    padding: 0;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap .sub-text {
    padding: 0;
  }
  .main-clients .wrapper120 .clients-list {
    width: 100%;
  }
}
@media screen and (max-width: 768px) {
  .parallax__item {
    /* min-height: 844px; */
    min-height: 100dvh;
  }

  .main-visual .title-wrap {
    min-height: auto;
    padding: 160px 16px 62px 16px;
    height: 100%;
  }
  .main-visual .title-wrap .title-area {
    align-items: flex-start;
  }
  .main-visual .title-wrap .title-area .title h2 {
    font-size: 47px;
    margin-bottom: 24px;
  }
  .main-visual .title-wrap .title-area .title h2 .m_br {
    display: block;
  }
  .main-visual .title-wrap .logo-area {
    display: none;
  }
  .main-visual .title-wrap .m-logo-area {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  .main-visual .title-wrap .m-logo-area span {
    font-size: 16px;
  }
  .main-visual .title-wrap .m-logo-area .logo-wrap {
    width: 246px;
    height: 76.62px;
  }
  .main-visual .title-wrap .m-logo-area .logo-wrap img {
    width: 100%;
    height: 100%;
    object-fit: contain;
  }

  .main-exclusive {
    min-height: 100dvh;
    height: fit-content;
  }
  .main-exclusive .inner-wrap {
    position: relative;
    top: auto;
    left: auto;
    display: block;
    /* height: fit-content; */
    height: 100%;
  }
  .main-exclusive .wrapper120 {
    padding: 70px 16px 30px 16px;
    flex-direction: column;
  }
  .main-exclusive .wrapper120 .title-wrap .sub-info-title {
    margin-bottom: 0;
  }
  .main-exclusive .wrapper120 .title-wrap {
    width: 100%;
  }
  .main-exclusive .wrapper120 .title-wrap .mask-title {
    height: 188px;
    margin-bottom: 20px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text {
    transform: scale(1) !important;
    aspect-ratio: 358 / 188;
    margin-bottom: 20px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text svg.pc-svg {
    display: none;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text svg.m-svg {
    display: block;
  }
  .main-exclusive .wrapper120 .title-wrap .desc-text {
    margin-top: -20px;
  }
  .main-exclusive .wrapper120 .title-wrap .desc-text span {
    font-size: 26px;
    letter-spacing: -0.52px;
  }
  .main-exclusive .wrapper120 .title-wrap .desc-text p {
    max-width: 400px;
  }
  .main-exclusive .wrapper120 .title-wrap .desc-text p br {
    display: none;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text span {
    font-size: 50px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text p {
    font-size: 70px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text video {
    -webkit-mask: url(#m-text-mask) no-repeat center / contain;
    mask: url(#m-text-mask) no-repeat center / contain;
  }
  .main-exclusive .wrapper120 .photo-stack-wrap {
    height: 35vh;
  }
  .main-exclusive .wrapper120 .photo-stack-wrap .photo-area {
    min-width: 100%;
  }

  .main-strength .strength01 {
    display: flex;
    flex-direction: column;
    padding: 62px 0 60px 0;
  }
  .main-strength .strength01 .title-wrap {
    margin-top: 5dvh;
  }
  .main-strength .strength01 .title-wrap .desc-text p,
  .main-strength .strength01 .title-wrap .desc-text p span,
  .main-strength .strength02 .title-wrap .desc-text p,
  .main-strength .strength02 .title-wrap .desc-text p span {
    font-size: 26px;
    white-space: normal !important;
  }
  .main-strength .strength01 .title-wrap .desc-text p br.m_br {
    display: block;
  }
  .main-strength .strength01 .img-wrap {
    padding: 0;
  }
  .main-strength .strength01 .img-wrap ul {
    height: 100%;
  }
  .main-strength .strength01 .img-wrap ul li .img-box.img-box01 {
    top: 12%;
    left: calc(100vw - 200px);
    min-width: 161px;
    min-height: 103px;
  }
  .main-strength .strength01 .img-wrap ul li .img-box.img-box02 {
    min-width: 125px;
    min-height: 79px;
    left: -200%;
  }
  .main-strength .strength01 .img-wrap ul li .img-box.img-box03 {
    display: none;
  }
  .main-strength .strength01 .img-wrap ul li .img-box.img-box04 {
    min-width: 162px;
    min-height: 104px;
    top: 55%;
    left: -230%;
  }
  .main-strength .strength01 .video-box {
    bottom: 60px;
    width: 54vw;
    left: calc(50% - 27vw);
    aspect-ratio: 402 / 538;
  }
  .main-strength .strength02 .title-wrap .desc-text p br.pc_br {
    display: none;
  }
  .main-strength .strength02 .title-wrap .desc-text p br.m_br {
    display: block;
  }
  .main-strength .strength02 .title-wrap .desc-text p .spacer-2line {
    content: "";
    display: block; /* 높이를 가지도록 블록 요소로 변경 */
    height: 1em; /* ⭐ 텍스트 한 줄 높이(1em)의 1.5배~2배 정도를 설정하여 두 줄 띄움 효과 */
    margin: 0;
    padding: 0;
    /* SplitType이 이 요소를 쪼개지 않도록 white-space: normal; 설정을 확인합니다. */
  }

  .main-strength .solutins-wrap .top-text-wrap {
    padding: 0 16px;
    top: 80px;
  }
  .main-strength .solutins-wrap .top-text-wrap span {
    font-size: 10px;
  }
  .main-strength .solutins-wrap .top-text-wrap span br {
    display: block;
  }
  .main-strength .solutins-wrap .top-text-wrap p {
    display: none;
  }
  .main-strength .solutins-wrap .mask-container .gasp-wrap .text_clip_path {
    width: 360px;
    height: 61px;
  }

  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .top,
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .bottom {
    height: calc(((100% - 61.06px) / 2) + 1px);
  }
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .left,
  .main-strength
    .solutins-wrap
    .mask-container
    .gasp-wrap
    .quadrant-container
    .right {
    width: calc(((100% - 360px) / 2) + 1px);
  }
  .main-strength .solutins-wrap .sub-info-title {
    top: calc(50% - 61.06px);
  }
  .main-strength .solutins-wrap .title-wrap {
    top: calc(50% + 61.06px + 63px);
  }
  .main-strength .solutins-wrap .title-wrap h2 br {
    display: block;
  }
  .main-strength .solutins-wrap .title-wrap p {
    font-size: 14px;
  }

  .solutions-intro-section .wrapper60 .rolling-wrap {
    height: 100dvh;
    gap: 20px;
  }
  .solutions-intro-section
    .wrapper60
    .rolling-wrap
    .rolling-line
    .rolling-track
    .rolling-content {
    gap: 24px;
    padding: 0 20px;
  }
  .solutions-intro-section
    .wrapper60
    .rolling-wrap
    .rolling-line
    .rolling-track
    .rolling-content
    span {
    font-size: 40px;
  }
  .solutions-intro-section
    .wrapper60
    .rolling-line.rolling-line02
    .rolling-track
    .rolling-content
    span::after {
    bottom: 7px;
    height: 2px;
  }

  .portfolio-section .scroll-container .main-wrap .title-wrap h2 {
    font-size: 60px;
  }
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a
    .thumb-wrap {
    width: 100%;
    height: auto;
    aspect-ratio: 698 / 524;
  }
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    > ul
    > li
    a
    .title-wrap
    h3 {
    font-size: 16px;
  }
  .portfolio-section
    .scroll-container
    .portfolio-list-container
    .portfolio-btn {
    font-size: 18px;
    font-weight: 400;
    text-underline-offset: 5px;
  }

  .main-clients {
    padding: 48px 0 38px 0;
    overflow: hidden;
  }
  .main-exclusive .wrapper120 {
    height: 100%;
  }
  .main-clients .wrapper120 .sub-info-title {
    margin-bottom: 24px;
  }
  .main-clients .wrapper120 .inner-wrap {
    gap: 42px;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap h2 {
    font-size: 60px;
    margin-bottom: 32px;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap .info-text {
    font-size: 26px;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap .sub-text {
    font-size: 14px;
  }
  .main-clients .wrapper120 .inner-wrap .title-wrap .sub-text br {
    display: block;
  }
  .main-clients .wrapper120 .clients-list ul {
    column-gap: 14px;
    row-gap: 16px;
  }
  .main-clients .wrapper120 .clients-list ul li {
    width: calc(50% - 7px);
  }
  .main-clients .wrapper120 .clients-list ul li .clients-logo img {
    scale: 1.2;
  }
}

@media screen and (max-width: 500px) {
  .main-exclusive .wrapper120 .title-wrap .mask-title {
    margin-bottom: 0;
    height: 170px;
  }
  .main-exclusive .wrapper120 .title-wrap .title-text {
    transform: scale(0.8) !important;
    margin-bottom: 0;
  }
}
